summaryrefslogtreecommitdiffstats
path: root/java
diff options
context:
space:
mode:
authorAllen Byrne <byrn@hdfgroup.org>2016-12-01 21:12:33 (GMT)
committerAllen Byrne <byrn@hdfgroup.org>2016-12-01 21:12:33 (GMT)
commitb990f5b2f7a2c0bb1e7e09aef45ffd592fc5d0ec (patch)
tree481c7467a873586d6514954f34aad5b2dc81317c /java
parent63bcd73f1f53a8b4bb31083cbc30f9a90663438f (diff)
downloadhdf5-b990f5b2f7a2c0bb1e7e09aef45ffd592fc5d0ec.zip
hdf5-b990f5b2f7a2c0bb1e7e09aef45ffd592fc5d0ec.tar.gz
hdf5-b990f5b2f7a2c0bb1e7e09aef45ffd592fc5d0ec.tar.bz2
Change where test copies libs because of osx1011 SIP
Diffstat (limited to 'java')
-rw-r--r--java/test/junit.sh.in35
1 files changed, 31 insertions, 4 deletions
diff --git a/java/test/junit.sh.in b/java/test/junit.sh.in
index 5001c32..7b5df16 100644
--- a/java/test/junit.sh.in
+++ b/java/test/junit.sh.in
@@ -39,7 +39,7 @@ myos=`uname -s`
# where the libs exist
HDFLIB_HOME="$top_srcdir/java/lib"
-BLDLIBDIR="$top_builddir/java/lib"
+BLDLIBDIR="$top_builddir/hdf5/lib"
BLDDIR="."
HDFTEST_HOME="$top_srcdir/java/test"
JARFILE=jar@PACKAGE_TARNAME@-@PACKAGE_VERSION@.jar
@@ -55,13 +55,15 @@ test -d $BLDLIBDIR || mkdir -p $BLDLIBDIR
# Comment '#' without space can be used.
# --------------------------------------------------------------------
LIST_LIBRARY_FILES="
+$top_builddir/src/.libs/libhdf5.*
+$top_builddir/java/src/jni/.libs/libhdf5_java.*
+"
+LIST_JAR_FILES="
$HDFLIB_HOME/hamcrest-core.jar
$HDFLIB_HOME/junit.jar
$HDFLIB_HOME/slf4j-api-1.7.5.jar
$HDFLIB_HOME/ext/slf4j-simple-1.7.5.jar
-$top_builddir/src/.libs/libhdf5.*
-$top_builddir/java/src/jni/.libs/libhdf5_java.*
-$top_builddir/java/src/$JARFILE
+top_builddir/java/src/$JARFILE
"
LIST_DATA_FILES="
$HDFTEST_HOME/JUnit-interface.txt
@@ -77,6 +79,7 @@ actual_ext="JUnit-interface.ext"
# copy files from source dirs to test dir
#
COPY_LIBFILES="$LIST_LIBRARY_FILES"
+COPY_JARFILES="$LIST_JAR_FILES"
COPY_LIBFILES_TO_BLDLIBDIR()
{
@@ -104,6 +107,30 @@ COPY_LIBFILES_TO_BLDLIBDIR()
fi
fi
done
+ # copy jar files. Used -f to make sure get a new copy
+ for tstfile in $COPY_JARFILES
+ do
+ # ignore '#' comment
+ echo $tstfile | tr -d ' ' | grep '^#' > /dev/null
+ RET=$?
+ if [ $RET -eq 1 ]; then
+ # skip cp if srcdir is same as destdir
+ # this occurs when build/test performed in source dir and
+ # make cp fail
+ SDIR=`$DIRNAME $tstfile`
+ INODE_SDIR=`$LS -i -d $SDIR | $AWK -F' ' '{print $1}'`
+ INODE_DDIR=`$LS -i -d $BLDLIBDIR | $AWK -F' ' '{print $1}'`
+ if [ "$INODE_SDIR" != "$INODE_DDIR" ]; then
+ $CP -f $tstfile $BLDLIBDIR
+ if [ $? -ne 0 ]; then
+ echo "Error: FAILED to copy $tstfile ."
+
+ # Comment out this to CREATE expected file
+ exit $EXIT_FAILURE
+ fi
+ fi
+ fi
+ done
}
CLEAN_LIBFILES_AND_BLDLIBDIR()